# Generated by Django 4.2.6 on 2023-11-30 09:42

from django.db import migrations, models
import django.db.models.deletion
import scanpipe.models
import uuid


class Migration(migrations.Migration):
    dependencies = [
        ("scanpipe", "0047_discoveredpackage_scanpipe_di_version_44de05_idx"),
    ]

    operations = [
        migrations.CreateModel(
            name="InputSource",
            fields=[
                (
                    "uuid",
                    models.UUIDField(
                        db_index=True,
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                        verbose_name="UUID",
                    ),
                ),
                (
                    "download_url",
                    models.CharField(
                        blank=True,
                        help_text="Download URL of the input file.",
                        max_length=1024,
                    ),
                ),
                (
                    "filename",
                    models.CharField(
                        blank=True,
                        help_text="Name of the file as uploaded or downloaded from a source.",
                        max_length=255,
                    ),
                ),
                ("is_uploaded", models.BooleanField(default=False)),
                ("tag", models.CharField(blank=True, max_length=50)),
                (
                    "project",
                    models.ForeignKey(
                        editable=False,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="%(class)ss",
                        to="scanpipe.project",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=(scanpipe.models.UpdateMixin, models.Model),
        ),
    ]
