# Generated by Django 5.0.1 on 2024-02-09 15:05

from django.db import migrations


pipeline_old_names_mapping = {
    "scan_codebase_packages": "inspect_packages",
}


def rename_pipelines_data(apps, schema_editor):
    Run = apps.get_model("scanpipe", "Run")
    for old_name, new_name in pipeline_old_names_mapping.items():
        Run.objects.filter(pipeline_name=old_name).update(pipeline_name=new_name)


def reverse_rename_pipelines_data(apps, schema_editor):
    Run = apps.get_model("scanpipe", "Run")
    for old_name, new_name in pipeline_old_names_mapping.items():
        Run.objects.filter(pipeline_name=new_name).update(pipeline_name=old_name)


class Migration(migrations.Migration):
    dependencies = [
        ("scanpipe", "0052_run_selected_groups"),
    ]

    operations = [
        migrations.RunPython(
            rename_pipelines_data,
            reverse_code=reverse_rename_pipelines_data,
        ),
    ]
