# Generated by Django 5.0.3 on 2024-03-20 22:52

from django.db import migrations


pipeline_old_names_mapping = {
    "match_to_purldb": "match_to_matchcode",
}


def rename_pipelines_data(apps, schema_editor):
    Run = apps.get_model("scanpipe", "Run")
    for old_name, new_name in pipeline_old_names_mapping.items():
        Run.objects.filter(pipeline_name=old_name).update(pipeline_name=new_name)


def reverse_rename_pipelines_data(apps, schema_editor):
    Run = apps.get_model("scanpipe", "Run")
    for old_name, new_name in pipeline_old_names_mapping.items():
        Run.objects.filter(pipeline_name=new_name).update(pipeline_name=old_name)


class Migration(migrations.Migration):
    dependencies = [
        ("scanpipe", "0053_restructure_pipelines_data"),
    ]

    operations = [
        migrations.RunPython(
            rename_pipelines_data,
            reverse_code=reverse_rename_pipelines_data,
        ),
    ]
