# Generated by Django 5.0.6 on 2024-06-04 20:48

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("scanpipe", "0061_codebaseresource_is_legal_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="discovereddependency",
            name="is_direct",
            field=models.BooleanField(
                default=False,
                help_text="True if this is a direct, first-level dependency relationship for a package.",
            ),
        ),
        migrations.AddField(
            model_name="discoveredpackage",
            name="is_private",
            field=models.BooleanField(
                default=False,
                help_text="True if this is a private package, either not meant to be published on a repository, and/or a local package without a name and version used primarily to track dependencies and other information.",
            ),
        ),
        migrations.AddField(
            model_name="discoveredpackage",
            name="is_virtual",
            field=models.BooleanField(
                default=False,
                help_text="True if this package is created only from a manifest or lockfile, and not from its actual packaged code. The files of this package are not present in the codebase.",
            ),
        ),
        migrations.AlterField(
            model_name="discovereddependency",
            name="is_optional",
            field=models.BooleanField(
                default=False,
                help_text="True if this dependency is an optional dependency",
            ),
        ),
        migrations.AlterField(
            model_name="discovereddependency",
            name="is_resolved",
            field=models.BooleanField(
                default=False,
                help_text="True if this dependency version requirement has been pinned and this dependency points to an exact version.",
            ),
        ),
        migrations.AlterField(
            model_name="discovereddependency",
            name="is_runtime",
            field=models.BooleanField(
                default=False,
                help_text="True if this dependency is a runtime dependency.",
            ),
        ),
        migrations.AddIndex(
            model_name="discovereddependency",
            index=models.Index(
                fields=["is_direct"], name="scanpipe_di_is_dire_6dc594_idx"
            ),
        ),
        migrations.AddIndex(
            model_name="discoveredpackage",
            index=models.Index(
                fields=["is_private"], name="scanpipe_di_is_priv_9ffd1a_idx"
            ),
        ),
        migrations.AddIndex(
            model_name="discoveredpackage",
            index=models.Index(
                fields=["is_virtual"], name="scanpipe_di_is_virt_c5c176_idx"
            ),
        ),
    ]
