# Generated by Django 5.0.7 on 2024-07-24 05:24

from django.db import migrations


def migrate_webhook_delivery_data(apps, schema_editor):
    WebhookSubscription = apps.get_model("scanpipe", "WebhookSubscription")
    WebhookDelivery = apps.get_model("scanpipe", "WebhookDelivery")

    subscription_qs = WebhookSubscription.objects.all().select_related("project")

    for subscription in subscription_qs:
        project = subscription.project

        # Asserting the run FK in case this project has a single run
        project_runs = project.runs.all()
        run = project_runs[0] if len(project_runs) == 1 else None

        WebhookDelivery.objects.create(
            project=project,
            run=run,
            webhook_subscription=subscription,
            target_url=subscription.target_url,
            sent_date=subscription.created_date,
            payload={},
            response_status_code=subscription.response_status_code,
            response_text=subscription.response_text,
            delivery_error=subscription.delivery_error,
        )


class Migration(migrations.Migration):
    dependencies = [
        ("scanpipe", "0064_webhookdelivery"),
    ]

    operations = [
        migrations.RunPython(
            migrate_webhook_delivery_data,
            reverse_code=migrations.RunPython.noop,
        ),
    ]
