# Generated by Django 5.1.8 on 2025-04-16 06:57

import uuid
from django.db import migrations


def gen_uuid_bulk(apps, schema_editor):
    DiscoveredDependency = apps.get_model("scanpipe", "DiscoveredDependency")
    batch_size = 10000
    objs = []
    for obj in DiscoveredDependency.objects.filter(uuid__isnull=True).iterator():
        obj.uuid = uuid.uuid4()
        objs.append(obj)
        if len(objs) >= batch_size:
            DiscoveredDependency.objects.bulk_update(objs, ['uuid'])
            objs = []
    if objs:
        DiscoveredDependency.objects.bulk_update(objs, ['uuid'])


class Migration(migrations.Migration):

    dependencies = [
        ('scanpipe', '0070_discovereddependency_uuid'),
    ]

    operations = [
        migrations.RunPython(gen_uuid_bulk, reverse_code=migrations.RunPython.noop),
    ]
