# Contributing

We use GitHub to host code, to track issues and feature requests, as well as accept pull requests.

## Use GPG to Sign Your Commits

Only pull requests that have been signed will be accepted.

If you are using the devcontainer included in this repostiory, enabled signed commits in your GitHub [Codespaces settings](https://docs.github.com/en/codespaces/managing-your-codespaces/managing-gpg-verification-for-github-codespaces).

For more information on setting up a GPG key when not using [Codespaces](https://github.com/features/codespaces) see the instructions [here](https://help.github.com/en/articles/managing-commit-signature-verification).

## Contributing Code

All Code Changes Happen Through Pull Requests. Pull requests are the best way to propose changes to the codebase. We actively welcome your pull requests and review regularly. We practice a single trunk development method.

- Fork the repo and create your branch from main.
- All code requires test coverage. 100% coverage is the target (try your best!). Add new or modify existing tests.
- If you've changed APIs, update the documentation.
- Ensure the tests pass.
- Make sure your code lints (go)
- Create a pull request.

## Licensing Notes

Any contributions you make will be under the MIT Software License. When you submit code changes, your submissions are understood to be under the same MIT License that covers the project. Feel free to contact the maintainers if that's a concern.

## Development

### Overview

In order to use contribute and participate in the development this application you'll need to have an updated rust environment. Before you start, please view the [Contributing](CONTRIBUTING.md) and [Code of Conduct](CODE_OF_CONDUCT.md) files in this repository.
